Skip to main content
POST
/
v1
/
rooms
Create a room
curl --request POST \
  --url https://dev.flextell.ai/api/v1/rooms \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "status": "active"
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "status": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Body

application/json
name
string
required
Maximum string length: 255
status
enum<string>
required
Available options:
active,
inactive,
maintenance

Response

success
string
required
data
RoomResource · object
required